petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscSFReduceBegin

begin reduction of leafdata into rootdata, to be completed with call to PetscSFReduceEnd()

### Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFReduceBegin(PetscSF sf,MPI_Datatype unit,const void *leafdata,void *rootdata,MPI_Op op)

Collective Many br

### Input Arguments

| sf | - star forest Many br
| unit | - data type Many br
| leafdata | - values to reduce Many br
| op | - reduction operation Many br

### Output Arguments

rootdata -result of reduction of values from all leaves of each root Many br

Many br

### See Also

PetscSFBcastBegin()

Level:intermediate
Location:src/vec/is/sf/interface/sf.c
Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/vec/is/sf/examples/tutorials/ex1.c.html